Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class EditAction

    java.lang.Object
      org.gjt.sp.jedit.EditAction

Direct Known Subclasses:
  BeanShellAction, Macros.Macro

public abstract class EditAction
extends java.lang.Object

An action that can be bound to a menu item, tool bar button or keystroke.

Version:
  $Id: EditAction.java,v 1.23 2003/05/01 04:17:13 spestov Exp $
Author:
  Slava Pestov
See Also:
  `jEdit.getAction(String)`, `jEdit.getActionNames()`, `ActionSet`

Nested Class Summary
`static class` | `EditAction.Wrapper` 'Wrap' EditActions in this class to turn them into AWT ActionListeners, that can be attached to buttons, menu items, etc.

Constructor Summary
`EditAction(java.lang.String name)` Creates a new edit action with the specified name.

Method Summary
`abstract java.lang.String` | `getCode()` Returns the BeanShell code that will replay this action.
`java.lang.String` | `getLabel()` Returns the action's label.
`java.lang.String` | `getMouseOverText()` Returns the action's mouse over message.
`java.lang.String` | `getName()` Returns the internal name of this action.
`static View` | `getView(java.awt.Component comp)` Deprecated. Call `GUIUtilities.getView()` instead.
`void` | `invoke(View view)` Invokes the action.
`boolean` | `isSelected(java.awt.Component comp)` If this edit action is a toggle, returns if it is selected or not.
`boolean` | `isToggle()` Returns if this edit action should be displayed as a check box in menus.
`boolean` | `noRecord()` Returns if this edit action should not be recorded.
`boolean` | `noRememberLast()` Returns if this edit action should not be remembered as the most recently invoked action.
`boolean` | `noRepeat()` Returns if this edit action should not be repeated.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditAction

    public EditAction(java.lang.String name)

  Creates a new edit action with the specified name.

Parameters:
  `name` - The action name

Method Detail

### getName

    public java.lang.String getName()

  Returns the internal name of this action.

### getLabel

    public final java.lang.String getLabel()

  Returns the action's label. This returns the value of the property named by `getName()` suffixed with `.label`.

### getMouseOverText

    public final java.lang.String getMouseOverText()

  Returns the action's mouse over message. This returns the value of the property named by `getName()` suffixed with `.mouse-over`.

### invoke

    public void invoke(View view)

  Invokes the action.

  Parameters:
    `view` - The view
  Since:
    jEdit 2.7pre2

### getView

    public static View getView(java.awt.Component comp)

  Deprecated. Call `GUIUtilities.getView()` instead.

### isToggle

    public final boolean isToggle()

  Returns if this edit action should be displayed as a check box in menus. This returns the value of the property named by `getName()` suffixed with `.toggle`.

  Since:
    jEdit 2.2pre4

### isSelected

    public boolean isSelected(java.awt.Component comp)

  If this edit action is a toggle, returns if it is selected or not.

  Parameters:
    `comp` - The component
  Since:
    jEdit 4.2pre1

### noRepeat

    public boolean noRepeat()

  Returns if this edit action should not be repeated. Returns false by default.

  Since:
    jEdit 2.7pre2

### noRecord

    public boolean noRecord()

  Returns if this edit action should not be recorded. Returns false by default.

  Since:
    jEdit 2.7pre2

### noRememberLast

    public boolean noRememberLast()

  Returns if this edit action should not be remembered as the most recently invoked action.

  Since:
    jEdit 4.2pre1

### getCode

    public abstract java.lang.String getCode()

  Returns the BeanShell code that will replay this action.

  Since:
    jEdit 2.7pre2

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD